//
//  ServiceDefines.m
//  eHouseKeeping
//
//  Created by KhanhNguyen on 6/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ServiceDefines.h"


@implementation ServiceDefines

int const RESPONSE_STATUS_NO_NETWORK = 0;
int const RESPONSE_STATUS_OK = 1000;
int const RESPONSE_STATUS_NO_RERCORD_TO_DISPLAY = 1001;
int const RESPONSE_STATUS_ERROR = 2000;
int const RESPONSE_STATUS_ERROR_IN_UPDATING_RECORD = 2001;
int const RESPONSE_STATUS_ERROR_IN_INSERTING_RECORD = 2002;
int const RESPONSE_STATUS_NEW_RECORD_ADDED = 2003;
int const RESPONSE_STATUS_USER_SUCCESSFULLY_AUTHENTICATED = 11000;
int const RESPONSE_STATUS_USER_SUCCESSFULLY_AUTHENTICATED_NO_USER_DETAIL_RETURNED = 11001;
int const RESPONSE_STATUS_INVALID_USERNAME_OR_PASSWORD = 11005;
int const RESPONSE_STATUS_INVALID_USER_ID = 11006;
int const RESPONSE_STATUS_USER_ACCOUNT_IS_LOCKED = 11008;
int const RESPONSE_STATUS_INVALID_HOTEL_ID = 11101;
int const RESPONSE_STATUS_INVALID_ROOMASSIGNMENT_ID = 12001;
int const RESPONSE_STATUS_NOROOM_ASSIGNMENT_IS_FOUND = 12002;
int const RESPONSE_STATUS_INVALID_ROOM_STATUS = 12010;
int const RESPONSE_STATUS_INVALID_ROOM_CLEANING_STATUS = 12011;
int const RESPONSE_STATUS_INVALID_ROOM_CLEANING_START_TIME = 12012;
int const RESPONSE_STATUS_INVALID_ROOM_CLEANING_END_TIME = 12013;
int const RESPONSE_STATUS_INVALID_ROOM_PRIORITY = 12014;
int const RESPONSE_STATUS_INVALID_ROOM_CLEANING_STATUS_1 = 12015;
int const RESPONSE_STATUS_INVALID_ROOM_TYPE = 12016;
int const RESPONSE_STATUS_INVALID_ROOM_SECTION = 12017;
int const RESPONSE_STATUS_INVALID_ROOM_INSPECTED_TIME = 12020;
int const RESPONSE_STATUS_INVALID_ROOM_INSPECTED_STATUS = 12021;
int const RESPONSE_STATUS_INVALID_CHECKLIST_ITEM = 12100;
int const RESPONSE_STATUS_INVALID_SCORE_FOR_CHECKLIST_ITEM = 12101;
int const RESPONSE_STATUS_INVALID_LAUNDRY_ITEM = 12200;
int const RESPONSE_STATUS_INVALID_LAUNDRY_SERVICE = 12201;
int const RESPONSE_STATUS_INVALID_LAUNDRY_TYPE_FOUND = 12202;
int const RESPONSE_STATUS_INVALID_LAUNDRY_ITEM_FOUND = 12203;
int const RESPONSE_STATUS_NO_LAUNDRY_LIST_MATCH = 12204;
int const RESPONSE_STATUS_INVALID_COUNT_ITEM = 12300;
int const RESPONSE_STATUS_1_RECORD_DELETED = 12205;
int const RESPONSE_STATUS_ROOM_HAVE_BEEN_DELETED = 2006;

int const RESPONSE_STATUS_ERROR_REASSIGN_DATE_IN_THE_PAST = 12025;
int const RESPONSE_STATUS_ERROR_REASSIGN_OUT_OF_STAFF_WORKSHIFT = 12026;
int const RESPONSE_STATUS_ERROR_REASSIGN_OUT_OF_REMAINED_TIME = 12027;
int const RESPONSE_STATUS_ERROR_ASSIGNMENT_NOT_EXIST = 12028;
int const RESPONSE_STATUS_ERROR_STAFF_NOT_ASSIGNED = 12029;
int const RESPONSE_STATUS_ERROR_NOT_CURRENT_DAY_ROOM_ASSIGNMENT = 12030;
int const RESPONSE_STATUS_ERROR_END_CLEANING_TIME_EXCEED_CURRENT_DAY_ASSIGNMENT = 12031;


@end
